import { Column, Entity, PrimaryGeneratedColumn } from 'typeorm';
const randomName = require('chinese-random-name');

@Entity('user')
export class User {
  @PrimaryGeneratedColumn('increment')
  id?: number;

  @Column({ unique: true })
  user_login?: string;

  @Column()
  user_pass?: string;

  @Column({ default: '' })
  user_email?: string;

  @Column({ default: Date.now() })
  user_create_time?: string;

  @Column({ default: true })
  user_status?: boolean;

  @Column({ default: randomName.generate() })
  display_name?: string;
}
