import { Provide } from '@midwayjs/core';
import { InjectEntityModel } from '@midwayjs/typeorm';
import { Repository } from 'typeorm';
import { UserWebAuthDTO } from '../dto/user.dto';
import { User } from '../entity/user.entity';
import { md5 } from '../util/encrypt';

@Provide()
export class UserService {
  @InjectEntityModel(User)
  userModel: Repository<User>;

  async select(p: UserWebAuthDTO): Promise<User> {
    const { user_login } = p;
    const user = await this.userModel.findOne({
      where: { user_login },
    });
    return user;
  }

  async createUser(user: User) {
    user.user_pass = md5(user.user_pass);
    const result = await this.userModel.save(user);
    return result;
  }
}
